| The Gaudi Framework v28r2-patches (bc4ad17a)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
IEventProcessor Class Referenceabstract

The IEventProcessor is the interface to process events. More...

`#include <GaudiKernel/IEventProcessor.h>`

Inheritance diagram for IEventProcessor:
[legend]
Collaboration diagram for IEventProcessor:
[legend]

## Public Member Functions
| DeclareInterfaceID (IEventProcessor, 3, 0)
| InterfaceID. More...
virtual StatusCode | executeEvent (void *par=0)=0
| Process single event. More...
virtual StatusCode | executeRun (int maxevt)=0
| Process the maxevt events as a Run (beginRun() and endRun() called) More...
virtual StatusCode | nextEvent (int maxevt)=0
| Process the next maxevt events. More...
virtual StatusCode | stopRun ()=0
| Schedule a stop of the current event processing. More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Public Types inherited from IInterface
enum | Status { SUCCESS = 1, NO_INTERFACE, VERSMISMATCH, LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

The IEventProcessor is the interface to process events.

Author
  Markus Frank

Version
  2

Definition at line 16 of file IEventProcessor.h.

## Member Function Documentation

IEventProcessor::DeclareInterfaceID | ( | IEventProcessor | ,
|  | 3 | ,
|  | 0 |
| ) |  |

InterfaceID.

virtual StatusCode IEventProcessor::executeEvent | ( | void * | par = `0` | ) |
| pure virtual

Process single event.

virtual StatusCode IEventProcessor::executeRun | ( | int | maxevt | ) |
| pure virtual

Process the maxevt events as a Run (beginRun() and endRun() called)

virtual StatusCode IEventProcessor::nextEvent | ( | int | maxevt | ) |
| pure virtual

Process the next maxevt events.

virtual StatusCode IEventProcessor::stopRun | ( |  | ) |
| pure virtual

Schedule a stop of the current event processing.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IEventProcessor.h